Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003315opensim[REGION] Scripting Enginepublic2009-03-19 22:192021-11-25 10:27
ReporterEwe Loon 
Assigned Totampa 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOperating SystemOperating System Version
Product Version 
Target VersionFixed in Versionmaster (dev code) 
Summary0003315: Scripts dont save properly if not running
Descriptionto reproduce

1) create and run a script
2) stop script from running
3) edit script
4) save script
5) start script running(reset if necessary)

At this stage i find the old script is still active
 
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineODE
Script Engine
Environment.NET / Windows32
Mono VersionNone
Viewer
Attached Files

- Relationships

-  Notes
(0018765)
Ewe Loon (reporter)
2011-07-07 02:37

Script is now saving,
but if "Running" is unticked, the script is not recompiled, so the old script continues when running is ticked
Also Reseting while running is unticked does not reset the script, though it does cancel the timers
(0034158)
tampa (reporter)
2019-02-05 08:06

Confirmed on master, but I believe this is by design? How does SL handle this?
(0038246)
tampa (reporter)
2021-11-20 07:12

Changes on master appear to fix this now.

Create script

[07:09] Object: Script running

Disabled "Running", changed text and saved

Enable running

[07:09] Object: Script not running

Looks good :)
(0038268)
JeffKelley (reporter)
2021-11-25 06:58
edited on: 2021-11-25 07:03

Appears to be fixed in 2021-11-23-52cd923

A life-saving change for scripters (how many times a chat loops did crash you?)

(0038269)
tampa (reporter)
2021-11-25 10:27

I wish there was a clearer way to signify that an issue is fixed, but might need further testing, but here we are. So far I have tried it with scripts large and small and it has worked each time. Cases were this might not work should be extremely rare given the nature of the fix, but do continue testing and if something happens please file a new ticket.

- Issue History
Date Modified Username Field Change
2009-03-19 22:19 Ewe Loon New Issue
2009-03-19 22:19 Ewe Loon SVN Revision => 8790
2009-03-19 22:19 Ewe Loon Run Mode => Grid (1 Region per Sim)
2009-03-19 22:19 Ewe Loon Physics Engine => ODE
2009-03-19 22:19 Ewe Loon Environment => .NET / Windows32
2009-03-19 22:19 Ewe Loon Mono Version => None
2011-07-07 02:37 Ewe Loon Note Added: 0018765
2019-02-05 08:06 tampa Note Added: 0034158
2021-10-28 12:31 tampa Status new => confirmed
2021-11-20 07:12 tampa Note Added: 0038246
2021-11-25 06:58 JeffKelley Note Added: 0038268
2021-11-25 07:03 JeffKelley Note Edited: 0038268 View Revisions
2021-11-25 10:27 tampa Note Added: 0038269
2021-11-25 10:27 tampa Status confirmed => resolved
2021-11-25 10:27 tampa Fixed in Version => master (dev code)
2021-11-25 10:27 tampa Resolution open => fixed
2021-11-25 10:27 tampa Assigned To => tampa


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker